%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	GNOME Bluetooth Subsystem
Name:		gnome-bluetooth
Version:	2.28.3
Release:	1
BuildArch:	i686
License:	GPLv2 and LGPLv2+
Group:		System/Libraries
URL:		http://usefulinc.com/software/gnome-bluetooth
Source:		http://ftp.gnome.org/pub/gnome/sources/gnome-bluetooth/0.9/%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	%{name}-libs = %{version}-%{release}
Requires: 	bluez-utils

Requires(pre):	GConf
Requires(post):	GConf
Requires(preun): GConf

#Patch1: 	gnome-bluetooth-0.8.0-desktop.patch

# Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: audiofile-devel
BuildRequires: avahi-devel
BuildRequires: bluez-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: esound-libs-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gtk2+-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libbtctl-devel
BuildRequires: libglade-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libusb-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: openobex-devel
BuildRequires: openssl-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: popt-devel
BuildRequires: python26-devel
BuildRequires: zlib-devel python26-pygtk-devel unique-devel libnotify-devel gnome-doc-utils which scrollkeeper

Obsoletes:	bluez-gnome

%description
This package contains a Bonobo server to control Bluetooth devices,
and a simple GUI to explore which devices are available
(gnome-bluetooth-manager).  Also, an OBEX server is available,
gnome-obex-server.  This will receive files sent via Bluetooth to your PC,
and save them in your home directory.

%package	libs
Summary:	Libraries for applications, which use gnome-bluetooth
Group:		Development/Libraries

%description	libs
This package contains the libraries for applications, 
which use gnome-bluetooth.

%package	libs-devel
Summary:	Files for the development of applications, which use gnome-bluetooth
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib-devel
Requires:	libbtctl-devel
Obsoletes:	%{name}-devel

%description	libs-devel
This package contains the files for the development of applications,
which will use gnome-bluetooth.

%prep
%setup -q
#%patch1 -p1 -b .dfix

%build
%configure PYTHON=/usr/bin/python%{PYVER} 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install 

# gnome-bluetooth2 is the name for the gettext domain,
# gnome-bluetooth is the name in the docs
%find_lang gnome-bluetooth2
%find_lang %{name} --with-gnome
cat %{name}.lang >> gnome-bluetooth2.lang

# save space by linking identical images in translated docs
helpdir=$RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}
for f in $helpdir/C/figures/*.png; do
  b="$(basename $f)"
  for d in $helpdir/*; do
    if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
      g="$d/figures/$b"
      if [ -f "$g" ]; then
        if cmp -s $f $g; then
          rm "$g"; ln -s "../../C/figures/$b" "$g"
        fi
      fi
    fi
  done
done

rm -f $RPM_BUILD_ROOT/usr/share/icons/hicolor/icon-theme.cache

%post
scrollkeeper-update -q
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule					\
	%{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas		\
	>& /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	if [ -f %{_sysconfdir}/gconf/schemas/gnome-obex-server.schemas ] ; then
		gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/gnome-obex-server.schemas >/dev/null || :
	fi
	if [ -f %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas ] ; then
		gconftool-2 --makefile-uninstall-rule 				\
		%{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas		\
		>& /dev/null || :
	fi
fi

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	if [ -f %{_sysconfdir}/gconf/schemas/gnome-obex-server.schemas ] ; then
		gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/gnome-obex-server.schemas > /dev/null || :
	fi
	if [ -f %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas ] ; then
		gconftool-2 --makefile-uninstall-rule 				\
		%{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas		\
		>& /dev/null || :
	fi
fi

%postun
scrollkeeper-update -q
update-desktop-database -q
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%post libs
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%posttrans libs
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%postun libs
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc README NEWS COPYING
%{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas
%{_sysconfdir}/xdg/autostart/bluetooth-applet.desktop
%{_bindir}/bluetooth-applet
%{_bindir}/bluetooth-properties
%{_bindir}/bluetooth-sendto
%{_bindir}/bluetooth-wizard
%{_libdir}/gnome-bluetooth/
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-bluetooth/
%{_mandir}/man1/*

%files -f gnome-bluetooth2.lang libs
%defattr(-,root,root,-)
%doc COPYING.LIB
%{_libdir}/libgnome-bluetooth.so.*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/status/*

%files libs-devel
%defattr(-,root,root,-)
%{_includedir}/gnome-bluetooth/
%{_libdir}/libgnome-bluetooth.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/gnome-bluetooth-1.0.pc
%{_datadir}/gtk-doc/html/gnome-bluetooth/

%changelog
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.3-1
- Version update
* Thu Oct 16 2008 Christian Wasem <wasem@ccux-linux.de> 0.11.0-2
- rebuild against bluez-libs
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.11.0-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 0.9.1-1
- Initital release
